Bug 1700250 - Redundant “]” in dnf module info output
Summary: Redundant “]” in dnf module info output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-16 07:39 UTC by yalzhang@redhat.com
Modified: 2020-11-14 07:51 UTC (History)
3 users (show)

Fixed In Version: dnf-4.2.7-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:49 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:01 UTC

Description yalzhang@redhat.com 2019-04-16 07:39:19 UTC
Description of problem:
There is a redundant “]” in dnf module info output

Version-Release number of selected component (if applicable):
# rpm -q dnf
dnf-4.0.9.2-5.el8.noarch

How reproducible:
100%

Steps to Reproduce:
1.  For arbitrary module, run "dnf module info ${module name}", like:
# dnf module info virt
...
Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled, [a]ctive]

check the character on the last line "Hint", there is a redundant "]" 

Actual results:
It should be a minor typo

Expected results:
should be "[a]ctive" not "[a]ctive]"

Additional info:

Comment 2 Jaroslav Mracek 2019-05-14 18:55:14 UTC
The issue is fixed by commit https://github.com/rpm-software-management/dnf/commit/09b0903310dfceec0da0ec54b4e3fca182e95016.

Comment 3 Jaroslav Mracek 2019-05-14 19:13:18 UTC
A test is provided by PR https://github.com/rpm-software-management/ci-dnf-stack/pull/541.

Comment 11 errata-xmlrpc 2019-11-05 22:21:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.